summaryrefslogtreecommitdiffstats
path: root/tests/prop-programname-with-slashes.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/prop-programname-with-slashes.sh')
-rwxr-xr-xtests/prop-programname-with-slashes.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/tests/prop-programname-with-slashes.sh b/tests/prop-programname-with-slashes.sh
new file mode 100755
index 0000000..67d9481
--- /dev/null
+++ b/tests/prop-programname-with-slashes.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+# addd 2017-01142 by RGerhards, released under ASL 2.0
+
+. ${srcdir:=.}/diag.sh init
+generate_conf
+add_conf '
+module(load="../plugins/imtcp/.libs/imtcp")
+input(type="imtcp" port="0" listenPortFileName="'$RSYSLOG_DYNNAME'.tcpflood_port")
+global(parser.PermitSlashInProgramname="on")
+
+template(name="outfmt" type="string" string="%syslogtag%,%programname%\n")
+local0.* action(type="omfile" template="outfmt"
+ file=`echo $RSYSLOG_OUT_LOG`)
+'
+startup
+tcpflood -m 1 -M "\"<133>2011-03-01T11:22:12Z host tag/with/slashes msgh ...x\""
+tcpflood -m1
+shutdown_when_empty
+wait_shutdown
+echo "tag/with/slashes,tag/with/slashes" | cmp - $RSYSLOG_OUT_LOG
+if [ ! $? -eq 0 ]; then
+ echo "invalid output generated, $RSYSLOG_OUT_LOG is:"
+ cat $RSYSLOG_OUT_LOG
+ error_exit 1
+fi;
+
+exit_test